import lambda = require('@aws-cdk/aws-lambda');
import sfn = require('@aws-cdk/aws-stepfunctions');
/**
 * Properties for InvokeFunction
 */
export interface InvokeFunctionProps {
    /**
     * The JSON that you want to provide to your Lambda function as input.
     *
     * @default - The JSON data indicated by the task's InputPath is used as payload
     */
    readonly payload?: {
        [key: string]: any;
    };
}
/**
 * A StepFunctions Task to invoke a Lambda function.
 *
 * OUTPUT: the output of this task is the return value of the Lambda Function.
 */
export declare class InvokeFunction implements sfn.IStepFunctionsTask {
    private readonly lambdaFunction;
    private readonly props;
    constructor(lambdaFunction: lambda.IFunction, props?: InvokeFunctionProps);
    bind(_task: sfn.Task): sfn.StepFunctionsTaskConfig;
}
